package com.prolog.eis.service.shelves;


import com.prolog.eis.model.shelves.GridInfoGroup;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 格口组表-服务接口类
 * @date 2023-08-28 11:41
 */
public interface GridInfoGroupService {

    /**
     * 新增数据
     *
     * @param gridInfoGroup 格口组表
     */
    long save(GridInfoGroup gridInfoGroup);

    /**
     * 新增批量数据
     *
     * @param gridInfoGroupList 格口组表
     */
    long saveBatch(List<GridInfoGroup> gridInfoGroupList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<GridInfoGroup> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    GridInfoGroup findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<GridInfoGroup> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    GridInfoGroup findById(int id);

    /**
     * 修改数据
     *
     * @param gridInfoGroup 实例对象
     */
    long update(GridInfoGroup gridInfoGroup);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
